Skip to main content
GET
Ordered lines with the four quantities: ordered, received, invoiced, cancelled.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
purchase_order_id
string
line_number
string
purchase_requisition_item_id
string
vendor_quote_item_id
string
part_id
string
part_number
string
part_name
string
description
string
supplier_part_number
string
quantity_ordered
string
quantity_received
string
quantity_invoiced
string
quantity_cancelled
string
quantity_outstanding
string
unit_of_measure_id
string
unit_of_measure
string
unit_price
string
line_total
string
unit_price_currency_id
string
tax_rate
string
required_by
string
warehouse_id
string
warehouse_name
string
notes
string
row_version
string
updated_at
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

description
string<character varying>
Maximum string length: 500
id
string<uuid>

Note: This is a Primary Key.

line_number
integer<integer>
line_total
number<numeric>
notes
string<text>
part_id
string<uuid>

Note: This is a Foreign Key to inventory_available.part_id.

part_name
string<character varying>
Maximum string length: 250
part_number
string<character varying>
Maximum string length: 80
purchase_order_id
string<uuid>

Note: This is a Foreign Key to open_purchase_orders.purchase_order_id.

purchase_requisition_item_id
string<uuid>

Note: This is a Foreign Key to purchase_requisition_items.id.

quantity_cancelled
number<numeric>
quantity_invoiced
number<numeric>
quantity_ordered
number<numeric>
quantity_outstanding
number<numeric>
quantity_received
number<numeric>
required_by
string<date>
row_version
integer<bigint>
supplier_part_number
string<character varying>
Maximum string length: 120
tax_rate
number<numeric>
unit_of_measure
string<character varying>
Maximum string length: 30
unit_of_measure_id
string<uuid>

Note: This is a Foreign Key to units_of_measure.id.

unit_price
number<numeric>
unit_price_currency_id
string<uuid>
updated_at
string<timestamp with time zone>
vendor_quote_item_id
string<uuid>

Note: This is a Foreign Key to vendor_quote_items.id.

warehouse_id
string<uuid>

Note: This is a Foreign Key to warehouse_settings.id.

warehouse_name
string<character varying>
Maximum string length: 200